### Method

# Fwupd BiosSetting add_possible_value_full

since: 2.1.6

#### Declaration [src]

    void
    fwupd_bios_setting_add_possible_value_full (
      FwupdBiosSetting* self,
      const gchar* possible_value,
      const gchar* possible_value_raw
    )

#### Description [src]

Adds a possible value to the attribute that is automatically mapped to a raw value.

The raw value will be used in the `class->write_value` vfunc.

Available since: 2.1.6

#### Parameters

`possible_value`

  Type: `const gchar*`

  The possible value that we show the user, e.g. `Disabled`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`possible_value_raw`

  Type: `const gchar*`

  The possible value that we send the hardware, e.g. `0`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.